STRPBRK(3)

NAME
strpbrk - search a string for any of a set of bytes

SYNOPSIS
#include <string.h>

char *strpbrk(const char *s, const char *accept);

DESCRIPTION
The strpbrk() function locates the first occurrence in the string s of any of the bytes in the string accept.

RETURN VALUE
The strpbrk() function returns a pointer to the byte in s that matches one of the bytes in accept, or NULL if no such byte is found.

ATTRIBUTES

  Multithreading (see pthreads(7))
The strpbrk() function is thread-safe.

CONFORMING TO
SVr4, 4.3BSD, C89, C99.

SEE ALSO
index(3), memchr(3), rindex(3), strchr(3), string(3), strsep(3), strspn(3), strstr(3), strtok(3), wcspbrk(3)

COLOPHON
This page is part of release 3.69 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at http://www.kernel.org/doc/man-pages/.